/*
 Theme Name:   Accurate-Airtight Enclosures
 Theme URI:    https://www.energycircle.com
 Description:  Accurate-Airtight Enclosures
 Author:       Energy Circle
 Author URI:   https://www.energycircle.com
 Template:     generatepress
 Version:      0.1
*/

/* ------------------- Desktop navigation & sticky styles -------------------- */
header div.site-logo {
	display: none;
}

#site-navigation  {
    width: 100%;
    max-width: unset;
    justify-content: center;
}

#site-navigation .inside-navigation.grid-container {
    width: 100%;
    max-width: unset;
    justify-content: center;
}

.navigation-stick:not(.gen-sidebar-nav),
.navigation-stick:not(.gen-sidebar-nav) li  {
    background-color: var(--base-1);
}

.navigation-stick:not(.gen-sidebar-nav) a {
    color: var(--contrast) !important;
}

#sticky-navigation,
#mobile-header.is_stuck {
    box-shadow: 0 5px 2px -2px rgb(0 0 0 / 20%);
}

#sticky-navigation.main-navigation .main-nav ul li > a {
    background-color: var(--base-1);
    color: var(--global-color-1) !important;
    font-weight: normal;
}

#sticky-navigation.main-navigation .main-nav ul li[class*="current-menu-"] > a,
#sticky-navigation.main-navigation .main-nav ul ul li:hover,
#sticky-navigation.main-navigation .main-nav ul ul li:hover a {
    background-color: var(--base-1);
    color: var(--global-color-8) !important;
}

.main-navigation .main-nav ul ul li {
    padding: 10px 15px 10px 15px;
}

.main-navigation .main-nav ul ul li:hover {
    background: var(--global-color-8);
}

.main-navigation .main-nav ul ul li a {
    padding: 0;
    line-height: 1.5em;
}

.main-navigation.sticky-navigation-transition .main-nav > ul > li > a,
.secondary-navigation .main-nav ul li a, .secondary-navigation .menu-toggle, 
.secondary-navigation .menu-bar-items {
    font-size: 16px;
    padding-left: 0 !important;
}

.inside-header {
    padding: unset;
    max-width: unset !important;
}

.aux-nav-motto>div {
    padding: 0 0 20px 0;
    margin-top: -30px;
}

.aux-nav-motto h2 {
    text-align: right;
    margin-top: 0;
}

@media screen and (max-width: 1180px) {
    .secondary-nav-aligned-right .secondary-navigation .inside-navigation,
    .aux-nav-motto {
        display: none;
    }
}


/* -------------------- Auxiliary menu styles -------------------- */
div#aux-nav-logo {
    position: absolute;
    left: 0;
    max-width: 250px;
}

.secondary-nav-aligned-right .secondary-navigation .inside-navigation {
    justify-content: flex-start !important;
    flex-direction: row-reverse;
    padding: 40px 5px !important;
}

.secondary-navigation .main-nav ul li a {
    padding-left: 0;
}

.secondary-navigation ul ul li {
    padding-left: 15px;
}

.aux-nav-buttons a {
	display: flex !important;
}

@media (max-width: 1024px) {
    #secondary-navigation {
        display: none;
    }
}

@media (max-width: 992px) {
    .secondary-navigation ul,
    .secondary-navigation:not(.toggled) .main-nav > ul {
        display: none;
    }
}

@media (max-width: 768px) {
    .secondary-navigation {
        text-align: center !important;
    }
    .secondary-navigation ul {
        display: block;
    }
    .secondary-navigation .sf-menu > li {
        float: none;
        display: inline-block !important;
    }
}

/* -------------------- Mobile header and hamburger menu styles -------------------- */
.mobile-header-navigation {
    box-sizing: border-box;
    padding: 10px;
    position: relative;
    background: transparent;
}

.mobile-header-navigation .gp-icon {
    font-size: 24px;
  line-height: inherit;
}

.mobile-header-navigation .gp-icon svg {
  height: 1.1em;
  width: 1.1em;
}

#generate-slideout-menu .gb-button-wrapper .gb-button,
.slideout-navigation.do-overlay .inside-navigation .main-nav,
.slideout-navigation.do-overlay .inside-navigation .slideout-widget {
    width: 100%;
}

.slideout-navigation.do-overlay .inside-navigation .main-nav {
    margin-bottom: 0 !important;
}

#generate-slideout-menu.main-navigation .main-nav ul ul {
    left: 20px !important;
    background-color: var(--base-1);
}

.main-navigation.slideout-navigation .main-nav > ul > li > a {
    line-height: 30px;
}

#generate-slideout-menu .gb-block-image {
    display: flex;
}

#generate-slideout-menu .gb-block-image img {
    height: auto;
    width: 150px;
    margin-left: 20px;
}

#generate-slideout-menu.do-overlay .slideout-menu li {
    text-align: left !important;
    margin-bottom: 10px;
}

#generate-slideout-menu,
#generate-slideout-menu .main-navigation .main-nav ul ul li:hover,
#generate-slideout-menu .main-nav ul li.sfHover:not([class*="current-menu-"]) > a,
#generate-slideout-menu .main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a  {
    background-color: var(--base-1) !important;
}

#menu-aux-menu-2.gp-collapsible-menu {
    display: block;
}

#menu-aux-menu-2.gp-collapsible-menu li {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
  align-items: flex-start;
  margin-bottom: 15px;
}

#menu-aux-menu-2.gp-collapsible-menu li a {
    color: var(--global-color-4);
    padding-left: 10px;
}

#menu-aux-menu-2.gp-collapsible-menu li a:hover, 
#menu-aux-menu-2.gp-collapsible-menu li.current-menu-ancestor > a, 
#menu-aux-menu-2.gp-collapsible-menu li.current-menu-item a 
 {
     color: var(--global-color-3);
}

#menu-aux-menu-2.gp-collapsible-menu .sub-menu-toggle {
    color: var(--global-color-4);
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    position: absolute;
    right: 20px;
}

#menu-aux-menu-2.gp-collapsible-menu li.open > .sub-menu {
  display: unset;
  position: relative;
  left: 0;
  opacity: 1;
  height: auto;
  padding: 5px 0 0 15px;
}

#menu-aux-menu-2.gp-collapsible-menu li.open > .sub-menu li {
    position: relative;
    left: 0;
}

#menu-aux-menu-2.gp-collapsible-menu .toggle-icon {
    transition: transform 0.3s ease;
}

#menu-aux-menu-2.gp-collapsible-menu li.open .toggle-icon {
    transform: rotate(180deg);
}


.slideout-navigation .main-nav {
    margin-bottom: 20px;
}

/* Update color */
.slideout-exit .gp-icon svg {
    fill: var(--global-color-1);
}

.slideout-navigation.main-navigation .main-nav ul li a {
    color: var(--global-color-1);
    padding-left: 15px;
    font-weight: bold;
    text-transform: uppercase;
}


#generate-slideout-menu.slideout-navigation.do-overlay .menu-item-has-children .dropdown-menu-toggle {
    border-left: unset;
}

#generate-slideout-menu.main-navigation .aux-menu ul {
    display: block;
    position: relative;
    opacity: 1;
    left: 0;
    top: 0;
    width: auto;
    text-align: left;
    padding-left: 15px;
}
  
  #generate-slideout-menu.main-navigation .aux-menu {
    width: 100%;
    text-align: left;
    margin: -20px -10px 0;
  }
  
  #generate-slideout-menu.main-navigation .aux-menu ul li {
    margin-top: 0;
    line-height: 26px;
    margin-bottom: 10px;
  }
  
  #generate-slideout-menu.main-navigation .aux-menu ul li a {
      color: var(--global-color-1);
  }
  
  #generate-slideout-menu.main-navigation .aux-menu ul li a:hover,
  #generate-slideout-menu.main-navigation .main-nav ul ul li:hover a {
      color: var(--global-color-8);
  }

  #generate-slideout-menu.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a, 
  #generate-slideout-menu.main-navigation .main-nav ul li:not([class*="current-menu-"]):focus > a, 
  #generate-slideout-menu.main-navigation .main-nav ul li.sfHover:not([class*="current-menu-"]) > a, 
  #generate-slideout-menu.main-navigation .main-nav ul li[class*="current-menu-"] > a,
  #generate-slideout-menu.main-navigation .menu-bar-item:hover > a, 
  #generate-slideout-menu.main-navigation .menu-bar-item.sfHover > a,
  #generate-slideout-menu.main-navigation .main-nav ul ul li:hover {
    background-color: var(--base-1) !important;
  }
  
  #generate-slideout-menu.main-navigation .aux-menu .wp-block-navigation__submenu-icon {
    position: absolute;
    right: 15px;
    top: 5px;
    color: var(--global-color-1) !important;
  }
  
  #generate-slideout-menu.main-navigation .aux-menu.wp-block-navigation .wp-block-navigation-item {
    flex-direction: column;
    text-align: left;
    width: 100%;
    align-items: flex-start;
  }
  
  #generate-slideout-menu.main-navigation .aux-menu.wp-block-navigation .wp-block-navigation__submenu-container {
    border: 0;
    font-size: 17px;
    background-color: var(--e3-dark-blue);
  }

body:not(.resize-header) #mobile-header img {
    height: 80px;
}

@media (max-width: 1180px) {
    #mobile-header.toggled .main-nav > ul, #mobile-header .menu-toggle, #mobile-header .mobile-bar-items {
        color: var(--global-color-1);
    }
}

@media (max-width: 1279px) {
    #generate-slideout-menu.main-navigation ul.ec_menu_ul {
        display: block !important;
    }
    .slideout-navigation.do-overlay .slideout-exit {
        position: fixed !important;
        right: 20px !important;
    }

    .slideout-navigation.do-overlay .inside-navigation {
        padding: 0 !important;
    }
}

/* -------------------- Testimonials -------------------- */
.testimonials .testimonial-quote:before {
    content: open-quote;
    top: -30px;
    left: -80px;
}

.testimonials .testimonial-quote:after {
    content: close-quote;
    bottom: 0;
    right: -80px;
}

.testimonials .testimonial-quote:before,
.testimonials .testimonial-quote:after {
    position: absolute;
    display: block;
    width: 40px;
    height: 40px;
    font-size: 4em;
    color: var(--global-color-1);
}

.testimonials :is(.custom-field-name, .custom-field-location) {
    text-transform: uppercase;
    margin-bottom: 0;
}

.testimonials.wp-block-getwid-post-carousel.has-arrows-inside
    .slick-prev:before,
.testimonials.wp-block-getwid-post-carousel.has-arrows-inside
    .slick-next:before {
    color: var(--global-color-4);
    font-size: 32px;
    opacity: 1;
}

.testimonials.wp-block-getwid-post-carousel.has-arrows-inside .slick-prev,
.testimonials.wp-block-getwid-post-carousel.has-arrows-inside .slick-next {
    text-shadow: none;
}

@media (max-width: 1024px) {
    .testimonials .testimonial-quote:before,
    .testimonials .testimonial-quote:after {
        display: none;
    }

    .testimonials .slick-next,
    .testimonials .slick-prev {
        top: 80%;
    }
}

/* -------------------- Distinctions -------------------- */
/* Check if all are needed */
.distinctions .wp-block-getwid-post-carousel__post-title {
    display: none;
}

.distinctions .wp-block-getwid-post-carousel__post-thumbnail img {
    object-fit: contain;
}

.distinctions.wp-block-getwid-post-carousel .slick-track {
    align-items: center;
}

/* -------------------- Footer styles -------------------- */
.ec_menu_ul {
    margin-left: 0em;
    list-style-type: none;
}

.ec_menu_ul ul.sub-menu {
    list-style-type: none;
}

/* Update color */
.footer .ec_menu_ul li a {
    color: var(--global-color-1);
}

/* Update color */
.footer .ec_menu_ul li a:hover {
    color: var(--global-color-8);
}

@media (max-width: 768px) {
    .footer {
        text-align: center;
    }
}

.copyright-bar,
.copyright-bar a {
    color: var(--global-color-1);
}

.footer-container a:hover,
.site-footer a:hover {
    color: var(--global-color-8) !important;
}

/* -------------------- WP Forms styles -------------------- */
/* Check if needed */
/* Update color */
/* Submit button footer style - .btn-footer custom class in WPForms */
.wpforms-submit.btn-footer {
    color: var(--contrast) !important;
    background-color: var(--global-color-2) !important;
    border: none !important;
}

/* Check if needed */
/* Update color */
/* Submit button footer hover style - .btn-footer custom class in WPForms */
.wpforms-submit.btn-footer:hover {
    color: var(--base-1) !important;
    background-color: var(--global-color-1) !important;
    border: none !important;
}

/* Update color */
/* Submit button style */
div.wpforms-container-full .wpforms-form input[type='submit'],
div.wpforms-container-full .wpforms-form button[type='submit'],
div.wpforms-container-full .wpforms-form .wpforms-page-button {
    color: var(--base-1) !important;
    background-color: var(--global-color-2) !important;
    padding: 10px 30px !important;
    border: solid 1px transparent !important;
    transition: all 0.5s ease 0s !important;
    margin-top: 40px;
}

/* Update color */
/* Submit button hover style */
div.wpforms-container-full .wpforms-form input[type='submit']:hover,
div.wpforms-container-full .wpforms-form input[type='submit']:focus,
div.wpforms-container-full .wpforms-form input[type='submit']:active,
div.wpforms-container-full .wpforms-form button[type='submit']:hover,
div.wpforms-container-full .wpforms-form button[type='submit']:focus,
div.wpforms-container-full .wpforms-form button[type='submit']:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
div.wpforms-container-full .wpforms-form .wpforms-page-button:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:focus {
    color: var(--global-color-2) !important;
    background-color: var(--base-1) !important;
    border: solid 1px var(--global-color-2) !important;
}

@media (max-width: 500px) {
    div.wpforms-field-container .wpforms-field-name .wpforms-one-half {
        width: 100% !important;
    }

    div.wpforms-field-container
        .wpforms-field-name
        .wpforms-field-row
        > .wpforms-one-half:last-child {
        margin: 20px 0 0;
    }
}

.wpforms-container .wpforms-field {
	padding: 5px 0 !important;
}

div.wpforms-container-full:not(:empty) {
	margin: 10px 0 0 0 !important;
}

#wpforms-form-4315 .wpforms-field, #wpforms-form-3784 .wpforms-field {
	text-align: left;
}

#wpforms-form-4315 .wpforms-field-sublabel, #wpforms-form-3784 .wpforms-field-sublabel {
	color: var(--base-1);
}

.sidebar-cta h2,
.sidebar-cta h3,
.sidebar-cta h4,
.sidebar-cta p,
.sidebar-cta a {
	color: var(--base-1);
	margin-bottom: 10px;
}

.sidebar-cta a {
	font-weight: 700;
}

.sidebar-cta a:hover {
	color: var(--global-color-8);
}
div.wpforms-container-full .wpforms-form input[type='submit'], div.wpforms-container-full .wpforms-form button[type='submit'], div.wpforms-container-full .wpforms-form .wpforms-page-button {
	background-color: var(--global-color-8) !important;
	margin-top: 0;
	width: 100%;
}

/* Homepage CTA Banner */
#wpforms-4449.wpforms-block-b1a15d50-b3b6-418f-870c-4653eb6b15d2 {
    margin-top: 0px !important;
}

button#wpforms-submit-4449 {
    border-radius: 2px;
}

div#wpforms-4449-field_3-container.wpforms-field-email {
    margin-top: -10px;
}

@media screen and (min-width: 601px) {
    #wpforms-form-4449 .wpforms-submit-container {
        clear: both;
        position: relative;
        float: right;
        width: 50%;
        margin-top: -52px !important;
    }
    
    #wpforms-form-4449 .wpforms-layout-column.wpforms-layout-column-50:nth-child(2) {
        display: none;
    }
    
    div#wpforms-4449-field_15-container {
        margin-bottom: -10px !important;
    }

    #wpforms-form-4449 .wpforms-field-layout .wpforms-layout-column-33:first-of-type,
    #wpforms-form-4449 .wpforms-field-layout .wpforms-layout-column-33:nth-of-type(2) {
        padding-right: 0;
    }

    div#wpforms-4449-field_3-container.wpforms-field-email {
        margin-top: auto;
    }
}

/* -------------------- General styles -------------------- */
.conditional-image-hero {
	display: flex !important;
}

.gb-carousel-autoheight .gb-carousel-item {
	height: 100% !important;
}

/* Homepage CTA Popup */
.homepage-cta-popup {
    background-color: var(--global-color-1);
    display: flex;
    justify-content: center;
}

.homepage-cta-popup .gb-text-7bb11490 {
    padding-right: unset;
    padding-top: 0;
}

.homepage-cta-popup h2 {
    text-align: left;
}

.homepage-cta-popup form#wpforms-form-4449 .wpforms-field-label {
    margin-top: unset;
    margin-bottom: 5px;
    color: var(--base-1);
    text-align: left;
    font-size: 14px;
}

@media screen and (max-width: 897px) {
    .homepage-cta-popup form#wpforms-form-4449 {
        flex-direction: column;
    }
    
    .homepage-cta-popup form#wpforms-form-4449 .wpforms-layout-row {
        flex-direction: column;
        margin: unset;
    }
    
    .homepage-cta-popup>div>div>div {
        flex-direction: column;
        align-items: flex-start;
    }
    
    .homepage-cta-popup div.wpforms-container .wpforms-form .wpforms-field-layout .wpforms-layout-column-33 {
        width: unset;
        padding: unset;
    }
    
    .homepage-cta-popup .wpforms-container .wpforms-form * {
        width: 100%;
    }
}

@media screen and (min-width: 898px) {
    .homepage-cta-popup>div {
        max-width: 1280px;
        min-width: 835px;
    }
    
    .homepage-cta-popup form#wpforms-form-4449 {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    
    form#wpforms-form-4449 .wpforms-field-label {
        margin-top: -5px !important;
    }
}

/* Breadcrumb Nav */
.breadcrumb-container ul {
	display: flex;
	flex-wrap: wrap;
	margin-left: 0px;
}

.breadcrumb-container li {
	list-style: none;
	white-space: nowrap;
	padding-right: 15px;
	font-size: 14px;
}

.breadcrumb-container li.current-menu-item {
	font-weight: 700 !important;
}